#include <unistd.h>
#include <cfortran/cfortran.h>
#include <stdbool.h>

/* C version of intract */
static bool cintracminuit(void)
{
   return !!((int) isatty(0));
}

/* Weak symbols for intract (fortran linking) */
__attribute__((weak)) FCALLSCFUN0(LOGICAL,cintracminuit,INTRACMINUIT,intracminuit) ;

PROTOCCALLSFFUN0(LOGICAL,INTRACMINUIT,intracminuit)
/* call fortran weak symbol */
static inline bool INTRACF()
{
  return CCALLSFFUN0(INTRACMINUIT,intracminuit);
}

/* C linkingage intract */
static bool cintrac(void)
{
  return INTRACF();
}

/* hidden symbol used on minuit */
__attribute__((visibility("hidden"))) FCALLSCFUN0(INT,cintrac,INTRAC,intrac) ;

